/v1/extranet/b2b/matches

Prev Next
Post
/v1/extranet/b2b/matches

Match an extranet service to a customer

Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Header parameters
Authorization
stringRequired

Bearer token. Format: Bearer <your_token_here>

Body parameters
Expand All
object
customerId
integer (int64)
Example1234567891011
match
object (manaV2B2bExtranetMatch)
consumerPrefixes
Array of string
string

Consumer client prefixes agreed at match (flat list; scoped to LAN segments at consumer accept)

Exampleexample string
lanSegment
integer (int64)
Example1234567891011
natTranslationMode
object (manaV2ExtranetNatTranslationMode)
centralized
object (manaV2ExtranetNatTranslationCentralized)
prefixes
object
property*
object (manaV2ExtranetNatTranslationDevicePrefixes) additionalProperties
prefixes
Array of string
string

IPv4 CIDR NAT pool(s) for the device

Exampleexample string
decentralized
object (manaV2ExtranetNatTranslationDecentralized)
prefixes
object
property*
object (manaV2ExtranetNatTranslationDevicePrefixes) additionalProperties
prefixes
Array of string
string

IPv4 CIDR NAT pool(s) for the device

Exampleexample string
peerToPeer
object (manaV2ExtranetNatTranslationPeerToPeer)
prefixes
Array of object (manaV2ExtranetNatTranslationPeerToPeerPrefix)
object
outsideNatPrefix
string

Optional outside address presented for prefix on the far side of the attachment; omit for no NAT on that prefix

Example100.1.2.0/24
prefix
string

At match: customer export prefix. At consumer accept/update (peering): subscribed service prefix

Example10.1.2.0/24
numCustomers
integer (int32)

Number of customers subscribed to the service

Minimum0
Example123
serviceId
integer (int64)

Producer service id

Example1234567891011
servicePrefixes
Array of object (manaV2B2bExtranetPrefixTag)
object
prefix
string Required

Prefix advertised by the service (required)

Example10.1.2.0/24
tag
string

Tag for the prefix

Exampleexample string
Responses
200

OK

Expand All
object
matchId
integer (int64)
Example1234567891011
matches
Array of object (manaV2B2bExtranetMatch)
object
consumerPrefixes
Array of string
string

Consumer client prefixes agreed at match (flat list; scoped to LAN segments at consumer accept)

Exampleexample string
lanSegment
integer (int64)
Example1234567891011
natTranslationMode
object (manaV2ExtranetNatTranslationMode)
centralized
object (manaV2ExtranetNatTranslationCentralized)
prefixes
object
property*
object (manaV2ExtranetNatTranslationDevicePrefixes) additionalProperties
prefixes
Array of string
string

IPv4 CIDR NAT pool(s) for the device

Exampleexample string
decentralized
object (manaV2ExtranetNatTranslationDecentralized)
prefixes
object
property*
object (manaV2ExtranetNatTranslationDevicePrefixes) additionalProperties
prefixes
Array of string
string

IPv4 CIDR NAT pool(s) for the device

Exampleexample string
peerToPeer
object (manaV2ExtranetNatTranslationPeerToPeer)
prefixes
Array of object (manaV2ExtranetNatTranslationPeerToPeerPrefix)
object
outsideNatPrefix
string

Optional outside address presented for prefix on the far side of the attachment; omit for no NAT on that prefix

Example100.1.2.0/24
prefix
string

At match: customer export prefix. At consumer accept/update (peering): subscribed service prefix

Example10.1.2.0/24
numCustomers
integer (int32)

Number of customers subscribed to the service

Minimum0
Example123
serviceId
integer (int64)

Producer service id

Example1234567891011
servicePrefixes
Array of object (manaV2B2bExtranetPrefixTag)
object
prefix
string

Prefix advertised by the service (required)

Example10.1.2.0/24
tag
string

Tag for the prefix

Exampleexample string